﻿using System;
using System.Data;
using System.Diagnostics;
using System.Windows;
using C1.WPF;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.Reflection;
using System.Xml.Serialization;

namespace TreeViewExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<Product> Products = new ObservableCollection<Product>();
        public MainWindow()
        {
            InitializeComponent();
            Products.Add(LoadProduct());
            tree.DataContext = Products;
        }

        private Product LoadProduct()
        {
            var resource = Application.GetResourceStream(new Uri("/" + new AssemblyName(Assembly.GetExecutingAssembly().FullName).Name + ";component/Resources/products.xml", UriKind.Relative));
            if (resource != null)
            {
                var serializer = new XmlSerializer(typeof(Product));
                return (Product)serializer.Deserialize(resource.Stream);
            }
            else
            {
                return new Product();
            }   
        }

        private void Item_Expanded(object sender, SourcedEventArgs e)
        {
            var node = e.Source as C1TreeViewItem;
            if(node != null)
            {
                if(node.HasItems)
                {
                    node.FirstNode.IsSelected = true;
                }
            }
        }
    }
}
